Search Results for

Show / Hide Table of Contents

# Class ToplevelClosingEventArgs

System.EventArgs implementation for the Closing event.

##### Inheritance

System.Object
ToplevelClosingEventArgs

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class ToplevelClosingEventArgs : EventArgs

### Constructors

#### ToplevelClosingEventArgs(Toplevel)

Initializes the event arguments with the requesting toplevel.

##### Declaration

    public ToplevelClosingEventArgs(Toplevel requestingTop)

##### Parameters

Type | Name | Description
--- | --- | ---
Toplevel | requestingTop | The RequestingTop.

### Properties

#### Cancel

Provides an event cancellation option.

##### Declaration

    public bool Cancel { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### RequestingTop

The toplevel requesting stop.

##### Declaration

    public View RequestingTop { get; }

##### Property Value

Type | Description
--- | ---
View |